Subject: bug#73023: Obsolete documentation on insert-in-front-hooks (GNU Emacs 29.4)

From: Rodrigo Morales <[email-masked]>
Date: Wed, 4 Sep 2024 00:18:05 -0500

Rodrigo Morales <[email-masked]> writes:

> I believe that the part "these functions receive two arguments, the
> beginning and end of the inserted text." is obsolete because functions
> in insert-in-front-hooks are passed 4 parameters. In the code block
> below, you can see a correct function definition for
> insert-in-front-hooks. The two code block shown below were retrieved
> from the file ./lisp/progmodes/cpp.el

When I wrote this bug report, I wasn't aware about the difference
between text properties and overlay properties. I thought that all
properties that can be used on text can also be used on overlays, now I
know that I'm wrong. Please omit this bug report.